### Class

# Gtk SignalAction

#### Description [src]

    final class Gtk.SignalAction : Gtk.ShortcutAction
    {
      /* No available fields */
    }

A `GtkShortcut`Action that emits a signal.

Signals that are used in this way are referred to as keybinding signals, and they are expected to be defined with the `G_SIGNAL_ACTION` flag.

#### Ancestors

- GtkShortcutAction
- GObject

#### Constructors

###### gtk_signal_action_new

Creates an action that when activated, emits the given action signal on the provided widget.

#### Instance methods

###### gtk_signal_action_get_signal_name

Returns the name of the signal that will be emitted.

##### Methods inherited from GtkShortcutAction (3)

###### gtk_shortcut_action_activate

Activates the action on the `widget` with the given `args`.

###### gtk_shortcut_action_print

Prints the given action into a string for the developer.

###### gtk_shortcut_action_to_string

Prints the given action into a human-readable string.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gtk.SignalAction:signal-name

The name of the signal to emit.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkSignalActionClass {
      /* no available fields */
    }

No description available.